curl --request GET \
--url https://api.hubapi.com/cms/source-code/2026-03/extract/async/tasks/{taskId}/status \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Retrieve the status of an asynchronous task related to source code extraction. This endpoint is useful for checking the progress or completion of a task initiated through the asynchronous file extraction process.
curl --request GET \
--url https://api.hubapi.com/cms/source-code/2026-03/extract/async/tasks/{taskId}/status \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The unique identifier of the task whose status is being retrieved. It is an integer value.
successful operation
The timestamp indicating when the action was completed.
The timestamp indicating when the action was started.
The current status of the action, with possible values: CANCELED, COMPLETE, PENDING, PROCESSING.
CANCELED, COMPLETE, PENDING, PROCESSING A collection of related links associated with the action.
Show child attributes
The timestamp indicating when the action was requested.
Was this page helpful?